> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kinbox.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List channel templates

> Lists the approved message templates of an official WhatsApp channel. Cached for 15 minutes.



## OpenAPI

````yaml get /v1/channels/{id}/templates
openapi: 3.0.0
info:
  title: Kinbox API
  description: Kinbox public API
  version: '2.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/channels/{id}/templates:
    get:
      tags:
        - v1Channels
      summary: List channel templates
      description: >-
        Lists the approved message templates of an official WhatsApp channel.
        Cached for 15 minutes.
      operationId: getChannelTemplates
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelTemplateListPublicDto'
components:
  schemas:
    ChannelTemplateListPublicDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ChannelTemplatePublicDto'
        totalCount:
          type: number
          example: 12
      required:
        - data
        - totalCount
    ChannelTemplatePublicDto:
      type: object
      properties:
        id:
          type: string
          example: '712287883441111'
        name:
          type: string
          example: disparo_cnc
        language:
          type: string
          example: pt_BR
        category:
          type: string
          example: MARKETING
        status:
          type: string
          example: APPROVED
        components:
          type: array
          items:
            type: object
      required:
        - id
        - name
        - language
        - category
        - status
        - components

````